librelist archives

« back to archive

Mongrel2 Installation - Error on ubuntu 10.10

Mongrel2 Installation - Error on ubuntu 10.10

From:
Ibrahim Bakayoko
Date:
2011-03-23 @ 16:53
could not decode message

Re: [photon.users] Mongrel2 Installation - Error on ubuntu 10.10

From:
nico
Date:
2011-03-23 @ 16:59
Hello Ibrahim,

Did you install ZeroMQ ?

In case you don't know about it, the Photon installation process is
available here : http://www.photon-project.com/download and should work fine
on most recent Linux distributions.

Cheers !
Nicolas




On Wed, Mar 23, 2011 at 5:53 PM, IBRAHIM BAKAYOKO <ib.bakayoko@gmail.com>wrote:

> Hi,
>
> Need some help i am trying to install mongrel2 but having an error ( see
> attached file)
>
>  I got the error after running : sudo make clean all
>

Re: [photon.users] Mongrel2 Installation - Error on ubuntu 10.10

From:
Ibrahim Bakayoko
Date:
2011-03-23 @ 17:05
Hi Nicolas,

I have installed zeromq-2.1.3

BR,
Ibrahim

2011/3/23 nico <nsebban@gmail.com>

> Hello Ibrahim,
>
> Did you install ZeroMQ ?
>
> In case you don't know about it, the Photon installation process is
> available here : http://www.photon-project.com/download and should work
> fine on most recent Linux distributions.
>
> Cheers !
> Nicolas
>
>
>
>
> On Wed, Mar 23, 2011 at 5:53 PM, IBRAHIM BAKAYOKO <ib.bakayoko@gmail.com>wrote:
>
>> Hi,
>>
>> Need some help i am trying to install mongrel2 but having an error ( see
>> attached file)
>>
>>  I got the error after running : sudo make clean all
>>
>
>

Re: [photon.users] Mongrel2 Installation - Error on ubuntu 10.10

From:
Loic d'Anterroches
Date:
2011-03-23 @ 17:18
Hi Ibrahim,

at the moment zeromq 2.1 is not supported by Mongrel2, it uses zeromq
2.0.10 as described in the docs.

Regards,
loïc

On 2011-03-23 18:05, IBRAHIM BAKAYOKO wrote:
> Hi Nicolas,
> 
> I have installed zeromq-2.1.3
> 
> BR,
> Ibrahim
> 
> 2011/3/23 nico <nsebban@gmail.com <mailto:nsebban@gmail.com>>
> 
>     Hello Ibrahim,
> 
>     Did you install ZeroMQ ?
> 
>     In case you don't know about it, the Photon installation process is
>     available here : http://www.photon-project.com/download and should
>     work fine on most recent Linux distributions.
> 
>     Cheers !
>     Nicolas
> 
> 
> 
> 
>     On Wed, Mar 23, 2011 at 5:53 PM, IBRAHIM BAKAYOKO
>     <ib.bakayoko@gmail.com <mailto:ib.bakayoko@gmail.com>> wrote:
> 
>         Hi,
> 
>         Need some help i am trying to install mongrel2 but having an
>         error ( see attached file)
> 
>          I got the error after running : sudo make clean all
> 
> 
> 

-- 
Dr Loïc d'Anterroches
Founder Céondo Ltd

w: www.ceondo.com       |  e: loic@ceondo.com
t: +44 (0)207 183 0016  |  f: +44 (0)207 183 0124

Céondo Ltd
Dalton House
60 Windsor Avenue
London
SW19 2RR / United Kingdom

Re: [photon.users] Mongrel2 Installation - Error on ubuntu 10.10

From:
nico
Date:
2011-03-23 @ 17:45
For the record, 2.0.11 seems to work fine.

The changes between 2.0.10 and 2.0.11 (listed here
https://github.com/zeromq/zeromq2-0/raw/master/NEWS) aren't relevant to
Photon's context.

Nicolas



On Wed, Mar 23, 2011 at 6:18 PM, Loic d'Anterroches <loic@ceondo.com> wrote:

> Hi Ibrahim,
>
> at the moment zeromq 2.1 is not supported by Mongrel2, it uses zeromq
> 2.0.10 as described in the docs.
>
> Regards,
> loïc
>
> On 2011-03-23 18:05, IBRAHIM BAKAYOKO wrote:
> > Hi Nicolas,
> >
> > I have installed zeromq-2.1.3
> >
> > BR,
> > Ibrahim
> >
> > 2011/3/23 nico <nsebban@gmail.com <mailto:nsebban@gmail.com>>
> >
> >     Hello Ibrahim,
> >
> >     Did you install ZeroMQ ?
> >
> >     In case you don't know about it, the Photon installation process is
> >     available here : http://www.photon-project.com/download and should
> >     work fine on most recent Linux distributions.
> >
> >     Cheers !
> >     Nicolas
> >
> >
> >
> >
> >     On Wed, Mar 23, 2011 at 5:53 PM, IBRAHIM BAKAYOKO
> >     <ib.bakayoko@gmail.com <mailto:ib.bakayoko@gmail.com>> wrote:
> >
> >         Hi,
> >
> >         Need some help i am trying to install mongrel2 but having an
> >         error ( see attached file)
> >
> >          I got the error after running : sudo make clean all
> >
> >
> >
>
> --
> Dr Loïc d'Anterroches
> Founder Céondo Ltd
>
> w: www.ceondo.com       |  e: loic@ceondo.com
> t: +44 (0)207 183 0016  |  f: +44 (0)207 183 0124
>
> Céondo Ltd
> Dalton House
> 60 Windsor Avenue
> London
> SW19 2RR / United Kingdom
>

Re: [photon.users] Mongrel2 Installation - Error on ubuntu 10.10

From:
Ibrahim Bakayoko
Date:
2011-03-23 @ 21:17
Hi,

Thx, this step OK. Having some issues

It's like the zmq.so and http.so are missing ?

I can' see these files on /usr/lib/php5/20090626+lfs/

Best Regards,
Ibrahim

2011/3/23 nico <nsebban@gmail.com>

> For the record, 2.0.11 seems to work fine.
>
> The changes between 2.0.10 and 2.0.11 (listed here
> https://github.com/zeromq/zeromq2-0/raw/master/NEWS) aren't relevant to
> Photon's context.
>
> Nicolas
>
>
>
> On Wed, Mar 23, 2011 at 6:18 PM, Loic d'Anterroches <loic@ceondo.com>wrote:
>
>> Hi Ibrahim,
>>
>> at the moment zeromq 2.1 is not supported by Mongrel2, it uses zeromq
>> 2.0.10 as described in the docs.
>>
>> Regards,
>> loïc
>>
>> On 2011-03-23 18:05, IBRAHIM BAKAYOKO wrote:
>> > Hi Nicolas,
>> >
>> > I have installed zeromq-2.1.3
>> >
>> > BR,
>> > Ibrahim
>> >
>> > 2011/3/23 nico <nsebban@gmail.com <mailto:nsebban@gmail.com>>
>> >
>> >     Hello Ibrahim,
>> >
>> >     Did you install ZeroMQ ?
>> >
>> >     In case you don't know about it, the Photon installation process is
>> >     available here : http://www.photon-project.com/download and should
>> >     work fine on most recent Linux distributions.
>> >
>> >     Cheers !
>> >     Nicolas
>> >
>> >
>> >
>> >
>> >     On Wed, Mar 23, 2011 at 5:53 PM, IBRAHIM BAKAYOKO
>> >     <ib.bakayoko@gmail.com <mailto:ib.bakayoko@gmail.com>> wrote:
>> >
>> >         Hi,
>> >
>> >         Need some help i am trying to install mongrel2 but having an
>> >         error ( see attached file)
>> >
>> >          I got the error after running : sudo make clean all
>> >
>> >
>> >
>>
>> --
>> Dr Loïc d'Anterroches
>> Founder Céondo Ltd
>>
>> w: www.ceondo.com       |  e: loic@ceondo.com
>> t: +44 (0)207 183 0016  |  f: +44 (0)207 183 0124
>>
>> Céondo Ltd
>> Dalton House
>> 60 Windsor Avenue
>> London
>> SW19 2RR / United Kingdom
>>
>
>

Re: [photon.users] Mongrel2 Installation - Error on ubuntu 10.10

From:
Ibrahim Bakayoko
Date:
2011-03-23 @ 21:41
I had to :

to run

pecl install zero.mq/zmq-beta

and the pecl install pecl_http was failling because i was missing the
libevent-dev library

Now i can start using photon, let see what will be the outcome.

BR,
Ibrahim


2011/3/23 IBRAHIM BAKAYOKO <ib.bakayoko@gmail.com>

> Hi,
>
> Thx, this step OK. Having some issues
>
> It's like the zmq.so and http.so are missing ?
>
> I can' see these files on /usr/lib/php5/20090626+lfs/
>
> Best Regards,
>
> Ibrahim
>
> 2011/3/23 nico <nsebban@gmail.com>
>
>> For the record, 2.0.11 seems to work fine.
>>
>> The changes between 2.0.10 and 2.0.11 (listed here
>> https://github.com/zeromq/zeromq2-0/raw/master/NEWS) aren't relevant to
>> Photon's context.
>>
>> Nicolas
>>
>>
>>
>> On Wed, Mar 23, 2011 at 6:18 PM, Loic d'Anterroches <loic@ceondo.com>wrote:
>>
>>> Hi Ibrahim,
>>>
>>> at the moment zeromq 2.1 is not supported by Mongrel2, it uses zeromq
>>> 2.0.10 as described in the docs.
>>>
>>> Regards,
>>> loïc
>>>
>>> On 2011-03-23 18:05, IBRAHIM BAKAYOKO wrote:
>>> > Hi Nicolas,
>>> >
>>> > I have installed zeromq-2.1.3
>>> >
>>> > BR,
>>> > Ibrahim
>>> >
>>> > 2011/3/23 nico <nsebban@gmail.com <mailto:nsebban@gmail.com>>
>>> >
>>> >     Hello Ibrahim,
>>> >
>>> >     Did you install ZeroMQ ?
>>> >
>>> >     In case you don't know about it, the Photon installation process is
>>> >     available here : http://www.photon-project.com/download and should
>>> >     work fine on most recent Linux distributions.
>>> >
>>> >     Cheers !
>>> >     Nicolas
>>> >
>>> >
>>> >
>>> >
>>> >     On Wed, Mar 23, 2011 at 5:53 PM, IBRAHIM BAKAYOKO
>>> >     <ib.bakayoko@gmail.com <mailto:ib.bakayoko@gmail.com>> wrote:
>>> >
>>> >         Hi,
>>> >
>>> >         Need some help i am trying to install mongrel2 but having an
>>> >         error ( see attached file)
>>> >
>>> >          I got the error after running : sudo make clean all
>>> >
>>> >
>>> >
>>>
>>> --
>>> Dr Loïc d'Anterroches
>>> Founder Céondo Ltd
>>>
>>> w: www.ceondo.com       |  e: loic@ceondo.com
>>> t: +44 (0)207 183 0016  |  f: +44 (0)207 183 0124
>>>
>>> Céondo Ltd
>>> Dalton House
>>> 60 Windsor Avenue
>>> London
>>> SW19 2RR / United Kingdom
>>>
>>
>>
>